import { type IType, PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class IcrDotfiledetail {
  [PrimaryKeyProp]?: 'Id';
  Id!: IType<number, bigint>;
  DotId!: IType<number, bigint>;
  PageName?: string;
  PageUseName?: string;
  IsUse!: unknown;
  Revision!: number;
  CreatedBy?: IType<number, bigint>;
  CreatedTime!: Date;
  UpdatedBy?: IType<number, bigint>;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const IcrDotfiledetailSchema = defineEntity({
  class: IcrDotfiledetail,
  properties: {
    Id: p.bigint().primary().name('Id').columnType('bigint').unsigned(false).autoincrement(false).comment('主键Id'),
    DotId: p.bigint().name('DotId').columnType('bigint').comment('主表id').index('idx_ICR_DotFileDetail_01'),
    PageName: p.string().name('PageName').nullable().comment('页名').index('idx_ICR_DotFileDetail_02'),
    PageUseName: p.string().name('PageUseName').nullable().comment('使用名'),
    IsUse: p.array().name('IsUse').comment('是否使用'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').columnType('bigint').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').columnType('bigint').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
